import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { CalendariPage } from './calendari.page';
import { DomseguroPipe } from "../../pipes/domseguro.pipe";

const routes: Routes = [
  {
    path: '',
    component: CalendariPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes)
  ],
  declarations: [CalendariPage,
    DomseguroPipe]
})
export class CalendariPageModule {}
