import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { PartitsPage } from './partits.page';

import { NgxDatatableModule } from "@swimlane/ngx-datatable";

const routes: Routes = [
  {
    path: '',
    component: PartitsPage
  }
];

@NgModule({
  imports: [
    NgxDatatableModule,
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes)
  ],
  declarations: [PartitsPage]
})
export class PartitsPageModule {}
