import { FormControl, FormGroup } from "@angular/forms";

export class PasswordValidator{
    static areEqual(formgroup:FormGroup){
        let val;
        let valid=true;

        for (let key in formgroup.controls){
            console.log("Key: "+key);
            if (formgroup.controls.hasOwnProperty(key)){
                let control: FormControl = <FormControl>formgroup.controls[key];
                if(val=== undefined){
                    val = control.value;
                }else if(val !== control.value){
                    valid=false;
                    break;
                }                
            }
        }
        if (valid){
            return null;
        }
        return{
            areEqual:true
        }
    }
}