import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { EquipsPage } from './equips.page';
import { LlistaElementsComponent } from 'src/app/components/llista-elements/llista-elements.component';

const routes: Routes = [
  {
    path: '',
    component: EquipsPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes)
  ],
  declarations: [EquipsPage,LlistaElementsComponent]
})
export class EquipsPageModule {}
