import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { PatrocinadorsPage } from './patrocinadors.page';
import { LlistaElementsComponent } from 'src/app/components/llista-elements/llista-elements.component';

const routes: Routes = [
  {
    path: '',
    component: PatrocinadorsPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes)
    
  ],
  declarations: [PatrocinadorsPage, LlistaElementsComponent],
  schemas:[NO_ERRORS_SCHEMA]
})
export class PatrocinadorsPageModule {}
